org.apache.datasketches.partitions

## Enum BoundsRule

- java.lang.Object
- - java.lang.Enum<BoundsRule>
  - - org.apache.datasketches.partitions.BoundsRule

All Implemented Interfaces:
  Serializable, Comparable<BoundsRule>

    public enum BoundsRule
    extends Enum<BoundsRule>

This instructs the user about which of the upper and lower bounds of a partition definition row should be included with the returned data.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`INCLUDE_BOTH` Include both the upper and lower bounds
`INCLUDE_LOWER` Include only the lower bound but not the upper bound
`INCLUDE_NEITHER` Include none
`INCLUDE_UPPER` Include only the upper bound but not the lower bound

### Method Summary

All Methods Static Methods Concrete Methods
`static BoundsRule` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static BoundsRule[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### INCLUDE_BOTH

    public static final BoundsRule INCLUDE_BOTH

Include both the upper and lower bounds

#### INCLUDE_UPPER

    public static final BoundsRule INCLUDE_UPPER

Include only the upper bound but not the lower bound

#### INCLUDE_LOWER

    public static final BoundsRule INCLUDE_LOWER

Include only the lower bound but not the upper bound

#### INCLUDE_NEITHER

    public static final BoundsRule INCLUDE_NEITHER

Include none

### Method Detail

#### values

    public static BoundsRule[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (BoundsRule c : BoundsRule.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static BoundsRule valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null